JsonSerializableSchema (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.schema

## Annotation Type JsonSerializableSchema

-     @Target(value=TYPE)
      @Retention(value=RUNTIME)
      public @interface JsonSerializableSchema

  Annotation that can be used to define JSON Schema definition for the annotated class.

  Note that annotation is often not needed: for example, regular Jackson beans that Jackson can introspect can be used without annotations, to produce JSON schema definition.

  Author:
    Ryan Heaton

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `schemaItemDefinition` If the schema type if "array", the node that defines the schema for the items in the array.
    `String` | `schemaObjectPropertiesDefinition` If the schema type is "object", the node that defines the properties of the object.
    `String` | `schemaType` The schema type for this JsonSerializable instance.

- - ### Element Detail

    - #### schemaType

          public abstract String schemaType

      The schema type for this JsonSerializable instance. Possible values: "string", "number", "boolean", "object", "array", "null", "any"
      Returns:
        The schema type for this JsonSerializable instance.
      Default:
        "any"

    - #### schemaObjectPropertiesDefinition

          public abstract String schemaObjectPropertiesDefinition

      If the schema type is "object", the node that defines the properties of the object.
      Returns:
        The node representing the schema properties, or "##irrelevant" if irrelevant.
      Default:
        "##irrelevant"

    - #### schemaItemDefinition

          public abstract String schemaItemDefinition

      If the schema type if "array", the node that defines the schema for the items in the array.
      Returns:
        The schema for the items in the array, or "##irrelevant" if irrelevant.
      Default:
        "##irrelevant"